function getcolumns() {
    return [
        {
            title: "物料编号",
            dataIndex: "materialCode",
            key: "materialCode",
        },
        {
            title: "物料名称",
            dataIndex: "materialName",
            key: "materialName"
        },
        {
            title: "物料类型",
            dataIndex: "materialTypeName",
            key: "materialType",
            valueType: 'select',
            options: [
                {
                    label: '原料',
                    value: 1
                },
                {
                    label: '产品',
                    value: 2
                },
            ]
        },
        {
            title: "库存单位",
            dataIndex: "productionUnitName",
            key: "productionUnitName",
            hideInSearch:true
        }
    ];
}

export default getcolumns;