import React, { useState, useEffect, useMemo, useRef } from 'react';
import AutoTable from '@/components/AutoTable';
import useKeepAlive from "@/components/useKeepAlive";
import getcolumns from "./columns";
function Material() {
    let actionRef = useRef();
    const columns = useMemo(() => {
        let defcolumn = getcolumns();
        return defcolumn;
    }, []);
    return <div>
        <AutoTable
            pagetitle='物料管理'
            columns={columns}
            path='/ta_wms_workmanship/pmMaterial/queryPage'
            actionRef={actionRef}
        />
    </div>;
}

export default useKeepAlive(Material);